Skip to main content
GET
/
v4
/
accounting
/
generalLedgerEntries
Get general ledger entries
curl --request GET \
  --url https://sandbox.hurdlr.com/rest/v4/accounting/generalLedgerEntries \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "entity": "<string>",
    "entityId": 123,
    "description": "<string>",
    "tranDate": "2023-11-07T05:31:56Z",
    "entryDate": "2023-11-07T05:31:56Z",
    "period": "NORMAL",
    "transactions": [
      {
        "accountNo": "<string>",
        "drAmount": 123,
        "crAmount": 123,
        "description": "<string>",
        "glAccountId": 123
      }
    ]
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.tight.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Response

200 - application/json

Successful operation

id
string

Id of the general ledger entry

entity
string

The Tight entity to which this entry belongs

entityId
integer<int64>

Id of the entity to which this entry belongs

description
string

Description of this entry

tranDate
string<date-time>

Date the transactions comprising this entry occurred

entryDate
string<date-time>

Date this entry was created

period
enum<string>

The period type of this entry

Available options:
NORMAL,
YEAR_END_CLOSING,
YEAR_END_ADJUSTMENT
transactions
object[]

List of transactions comprising this entry